<?
include_once("inc/smsbill/smsbill.class.php");
include_once("inc/smsbill/settings_sms.php");

echo "<div class='event'><h1>Покупка 5 ключей</h1></div>";
echo "<div class='block'>";
echo "<span class='title'><b>Оплата по смс</b></span><br /><br />";

if(isset($_GET['pay']))
{
$serv = htmlspecialchars($_GET['servid']);
	
if(!isset($money[$serv]))
{

	$key = 10;
	
	$smsbill = new SMSBill();
	$smsbill->setServiceId($serv);
	$smsbill->useEncoding($charset);
	$smsbill->useHeader('no');
	$smsbill->useLang($lang); 
	$smsbill->useCss('http://'.$_SERVER['HTTP_HOST']);
	
	if (isset($_REQUEST['smsbill_password'])) {
		if (!$smsbill->checkPassword($_REQUEST['smsbill_password'])) { 
			
			echo"Код указан не верно.";
			echo "<li class='pt'><img src='images/icons/back.png'> <a href='?paykey&sms_key'>Вернутся</a>";
			echo "</div>";
			include_once"inc/foot.php";
		
			exit;
		}else{ 
			
			mysql_query("UPDATE `kolhoz_user` SET `cellar_key` = `cellar_key`+ '$key' WHERE `id` = '$ku[id]'");	
			echo  "Спасибо за покупку! Вам зачислено 5 ключей.";
			echo "<li class='pt'><img src='images/icons/back.png'> <a href='?paykey&sms_key'>Вернутся</a>";
			echo "</div>";
           include_once"inc/foot.php";			
		}
	}else{
		
		echo $smsbill->getForm();
		echo '<span class="title">После того как вы купили рубины, обязательно напишите <a href="?mail&new_msg=1"><span style="color:#4169E1">Администратору</span></a></span>';
			echo "<li class='pt'><img src='images/icons/back.png'> <a href='?paykey&sms_key'>Вернутся</a>";
		echo "</div>";
		include_once"inc/foot.php";
	}
}
}
			echo "<li class='pt'><img src='images/icons/back.png'> <a href='?paykey&sms_key'>Вернутся</a>";
echo "</div>";
include_once 'inc/foot.php';

?>